# Get Project Offering Metrics

Labor and financial metrics for this Project Offering. All calculations involving Actual Time entries are subject to the Calculation Threshold organization setting.

Endpoint: GET /v1/projects/{project_id}/offerings/{id}/metrics
Version: v1
Security: ApiKey

## Path parameters:

  - `id` (string, required)
    ID of the resource

  - `project_id` (string, required)
    The ID of the Project, to which this Project Offering belongs.

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the Project Offering.

  - `calculated_date` (string)
    The date in which the metrics were calculated.

  - `cost_metrics` (object, required)
    The cost metrics of the project offering.

  - `cost_metrics.sold_costs` (object, required)
    The total cost associated to the offering at the time the sold snapshot was generated.

  - `cost_metrics.sold_costs.currency_code` (string)
    The currency code of the monetary object.

  - `cost_metrics.sold_costs.amount` (number)
    The amount of the monetary object.

  - `cost_metrics.actual_costs` (object, required)
    The actual costs associated to the offering at the time the metrics were generated.

  - `cost_metrics.estimated_at_completion_costs` (object, required)
    The total cost estimated at the time of offering completion.

  - `cost_metrics.estimated_to_completion_costs` (object, required)
    The total cost estimated remaining to the time of offering completion.

  - `revenue_metrics` (object, required)
    The revenue metrics of the project offering.

  - `revenue_metrics.sold_revenue` (object, required)
    The total revenue associated to the offering at the time the sold snapshot was generated.

  - `revenue_metrics.actual_revenue` (object, required)
    The actual revenue associated to the offering at the time the metrics were generated.

  - `revenue_metrics.estimated_at_completion_revenue` (object, required)
    The total revenue estimated at the time of offering completion.

  - `revenue_metrics.estimated_to_completion_revenue` (object, required)
    The total revenue estimated remaining to the time of offering completion.

  - `hours_metrics` (object, required)
    The hour metrics of the project offering.

  - `hours_metrics.sold_hours` (number, required)
    The total revenue associated to the offering at the time the sold snapshot was generated.

  - `hours_metrics.actual_hours` (number, required)
    The actual revenue associated to the offering at the time the metrics were generated.

  - `hours_metrics.estimated_at_completion_hours` (number, required)
    The total revenue estimated at the time of offering completion.

  - `hours_metrics.estimated_to_completion_hours` (number, required)
    The total revenue estimated remaining to the time of offering completion.

## Response 400 fields (application/json):

  - `type` (string)
    RFC reference for the error type

  - `title` (string)
    Human-readable summary of the error

  - `status` (integer)
    HTTP status code

  - `errors` (array)
    Detailed error messages for each validation failure

  - `trace_id` (string)
    Trace identifier for debugging

